E-Arogya - Feature #282

Feature # 235 (New): [Security Audit Round 2 ]

[Security Audit Round 2 ] Technology/Version Disclosure
01/05/2024 01:20 PM - Kalyan Battula

Status: Ready for Prod Start date: 01/05/2024
Priority: High Due date:

Assignee: Uday Kumar Dara % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

Technology/Version Disclosure

observation : Repeated

CWE : CWE-200

Description :

The HTTP responses returned by this web application include a header named server.
The value of this header is used to determine which version of server technology or
framework is in use. It is not necessary for production sites and should be disabled
Affected Path(s) :

/(WebServer)

Impact :

The HTTP header may disclose sensitive information. This information can be used to
launch further attacks.

Evidence/Proof Of Concept :

Step 1: Technology version disclosed as shown in below screenshot.
clipboard-202405011317-ygjak.png

Step 2: Technology version disclosed as shown in below screenshot.
clipboard-202405011318-ny1bt.png

Recommendation :
It is recommended to implement generic error messages and remove the version
information in response headers.

History

#1 - 03/05/2024 04:22 AM - Harish Beechani
- Status changed from New to In Progress

- Assignee set to Uday Kumar Dara

#2 - 03/05/2024 05:28 AM - Sivakanth Kesiraju

- Target version set to Security Audit

#3 - 10/05/2024 06:17 AM - Harish Beechani

- Status changed from In Progress to Resolved

#4 - 10/05/2024 07:19 AM - Harish Beechani

- Status changed from Resolved to Ready for Prod
